Bug 241329 - net/openvswitch: fix build on GCC architectures
Summary: net/openvswitch: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-18 15:12 UTC by Piotr Kubaj
Modified: 2019-10-27 19:26 UTC (History)
1 user (show)

See Also:
koue: maintainer-feedback+


Attachments
patch (1.32 KB, patch)
2019-10-18 15:12 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (koue)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-18 15:12:29 UTC
Created attachment 208406 [details]
patch

Use C11 compiler:
./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant
./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant
./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant

Include sys/socket.h in lib/dns-resolve.c to make AF_INET available.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-19 07:59:38 UTC
Approved as mentor (builds on ppcports) awaiting maintainer review.
Comment 2 commit-hook freebsd_committer 2019-10-27 19:26:17 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:26:14 UTC 2019
New revision: 515818
URL: https://svnweb.freebsd.org/changeset/ports/515818

Log:
  net/openvswitch: fix build on GCC architectures

  Use C11 compiler:
  ./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant
  ./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant
  ./include/openvswitch/ofp-actions.h:1302: error: bit-field 'build_assert_failed' width not an integer constant

  Include sys/socket.h in lib/dns-resolve.c to make AF_INET available.

  PR:		241329
  Approved by:	koue@chaosophia.net (maintainer), linimon (mentor)

Changes:
  head/net/openvswitch/Makefile
  head/net/openvswitch/files/patch-lib_dns-resolve.c